Package org.gradle.plugins.ide.idea

# Class GenerateIdeaProject

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.internal.ConventionTask
org.gradle.plugins.ide.api.GeneratorTask<Project>
org.gradle.plugins.ide.api.XmlGeneratorTask<Project>
org.gradle.plugins.ide.idea.GenerateIdeaProject

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Task`, `Configurable<Task>`

@Deprecated @DisableCachingByDefault(because="Not made cacheable, yet") public abstract class GenerateIdeaProject extends XmlGeneratorTask<Project>
Deprecated.
Will be removed in Gradle 10.
Generates an IDEA project file for root project *only*. If you want to fine tune the idea configuration

At this moment nearly all configuration is done via `IdeaProject`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Field Summary

  ### Fields inherited from class org.gradle.plugins.ide.api.GeneratorTask

  `afterConfigured, beforeConfigured, domainObject, generator`

  ### Fields inherited from interface org.gradle.api.Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenerateIdeaProject()`
  Deprecated.
  `GenerateIdeaProject(IdeaProject ideaProject)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `configure(Project xmlModule)`
  Deprecated.
  `Project`
  `create()`
  Deprecated.
  `protected void`
  `generate()`
  Deprecated.
  `IdeaProject`
  `getIdeaProject()`
  Deprecated.
  The Idea project model containing the details required to generate the project file.
  `File`
  `getOutputFile()`
  Deprecated.
  output *.ipr file
  `org.gradle.internal.xml.XmlTransformer`
  `getXmlTransformer()`
  Deprecated.
  `void`
  `setIdeaProject(IdeaProject ideaProject)`
  Deprecated.
  `void`
  `setOutputFile(File newOutputFile)`
  Deprecated.
  Sets the output file to write the final configuration to.

  ### Methods inherited from class org.gradle.plugins.ide.api.GeneratorTask

  `getIncremental, getInputFile, getInputFileIfExists, getInstantiator, setInputFile`

  ### Methods inherited from class org.gradle.api.internal.ConventionTask

  `conventionMapping, conventionMapping, getConventionMapping`

  ### Methods inherited from class org.gradle.api.DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, doNotTrackStateIf, getAsDynamicObject, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonsNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, restoreOnlyIf, restoreTaskActions, setImpliesSubProjects`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.gradle.api.Task

  `doNotTrackState, notCompatibleWithConfigurationCache`

- ## Constructor Details

  - ### GenerateIdeaProject

    public GenerateIdeaProject()
    Deprecated.

  - ### GenerateIdeaProject

    @Inject public GenerateIdeaProject(IdeaProject ideaProject)
    Deprecated.

- ## Method Details

  - ### generate

    protected void generate()
    Deprecated.
    Overrides:
      `generate` in class `GeneratorTask<Project>`

  - ### configure

    protected void configure(Project xmlModule)
    Deprecated.
    Specified by:
      `configure` in class `XmlGeneratorTask<Project>`

  - ### create

    public Project create()
    Deprecated.
    Specified by:
      `create` in class `XmlGeneratorTask<Project>`

  - ### getXmlTransformer

    public org.gradle.internal.xml.XmlTransformer getXmlTransformer()
    Deprecated.
    Overrides:
      `getXmlTransformer` in class `XmlGeneratorTask<Project>`

  - ### getOutputFile

    public File getOutputFile()
    Deprecated.
    output *.ipr file
    Overrides:
      `getOutputFile` in class `GeneratorTask<Project>`
    Returns:
      The output file.

  - ### setOutputFile

    public void setOutputFile(File newOutputFile)
    Deprecated.
    Description copied from class: `GeneratorTask`
    Sets the output file to write the final configuration to.
    Overrides:
      `setOutputFile` in class `GeneratorTask<Project>`
    Parameters:
      `newOutputFile` - The output file.

  - ### getIdeaProject

    @Internal public IdeaProject getIdeaProject()
    Deprecated.
    The Idea project model containing the details required to generate the project file.

  - ### setIdeaProject

    public void setIdeaProject(IdeaProject ideaProject)
    Deprecated.